using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.IO;
using System.Windows.Forms;
using DevComponents.DotNetBar;

namespace VEPROMS
{
	public partial class ShortcutLists : DevComponents.DotNetBar.Office2007Form
	{
		public ShortcutLists()
		{
			InitializeComponent();
			btnHlpScInsert.PerformClick();
		}
		private void ClearCheckedButtons()
		{
			btnHlpScInsert.Checked = false;
			btnHlpScNav.Checked = false;
			btnHlpScTxtMods.Checked = false;
			btnHlpScMisc.Checked = false;
			btnHlpScRibbon.Checked = false;
		}
		private string GetDirPath()
		{
			string rtnstr = Application.StartupPath;
			rtnstr += @"\";
			return rtnstr;

		}
		private void btnHlpScInsert_Click(object sender, EventArgs e)
		{
			ClearCheckedButtons();
			btnHlpScInsert.Checked = true;
			string dirpath = GetDirPath();
			dirpath += "SORTCUTS_INSERT.RTF";
			scRtb.Clear();
			scRtb.LoadFile(dirpath);
		}

		private void btnHlpScNav_Click(object sender, EventArgs e)
		{
			ClearCheckedButtons();
			btnHlpScNav.Checked = true;
			string dirpath = GetDirPath();
			dirpath += "SORTCUTS_NAVIGATION.RTF";
			scRtb.Clear();
			scRtb.LoadFile(dirpath);
		}

		private void btnHlpScTxtMods_Click(object sender, EventArgs e)
		{
			ClearCheckedButtons();
			btnHlpScTxtMods.Checked = true;
			string dirpath = GetDirPath();
			dirpath += "SORTCUTS_TXTMODS.RTF";
			scRtb.Clear();
			scRtb.LoadFile(dirpath);
		}

		private void btnHlpScMisc_Click(object sender, EventArgs e)
		{
			ClearCheckedButtons();
			btnHlpScMisc.Checked = true;
			string dirpath = GetDirPath();
			dirpath += "SORTCUTS_MISC.RTF";
			scRtb.Clear();
			scRtb.LoadFile(dirpath);
		}

		private void btnHlpScRibbon_Click(object sender, EventArgs e)
		{
			ClearCheckedButtons();
			btnHlpScRibbon.Checked = true;
			string dirpath = GetDirPath();
			dirpath += "SORTCUTS_RIBBON.RTF";
			scRtb.Clear();
			scRtb.LoadFile(dirpath);
		}

	}
}